Bug 192746 - multilib -devel conflicts for pygtk2
multilib -devel conflicts for pygtk2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
: 205232 (view as bug list)
Depends On:
Blocks: multilibdevel
  Show dependency treegraph
 
Reported: 2006-05-22 14:29 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: pygtk2-2.10.3-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-04 16:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-05-22 14:29:36 EDT
The package contains conflicting -devel packages for multilib arches.

pygtk2-devel-2.8.6-1.i386.rpm
Preparing...                ##################################################
        file /usr/share/pygtk/2.0/codegen/__init__.pyc from install of pygtk2-de
vel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/__init__.pyo from install of pygtk2-de
vel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/argtypes.pyc from install of pygtk2-de
vel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/argtypes.pyo from install of pygtk2-de
vel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/codegen.pyc from install of pygtk2-dev
el-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/codegen.pyo from install of pygtk2-dev
el-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/definitions.pyc from install of pygtk2
-devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/definitions.pyo from install of pygtk2
-devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/defsparser.pyc from install of pygtk2-
devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/defsparser.pyo from install of pygtk2-
devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/docextract.pyc from install of pygtk2-
devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/docextract.pyo from install of pygtk2-
devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/docgen.pyc from install of pygtk2-deve
l-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/docgen.pyo from install of pygtk2-deve
l-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/h2def.pyc from install of pygtk2-devel
-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/h2def.pyo from install of pygtk2-devel
-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/mergedefs.pyc from install of pygtk2-d
evel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/mergedefs.pyo from install of pygtk2-d
evel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/mkskel.pyc from install of pygtk2-deve
l-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/mkskel.pyo from install of pygtk2-deve
l-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/override.pyc from install of pygtk2-de
vel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/override.pyo from install of pygtk2-de
vel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/reversewrapper.pyc from install of pyg
tk2-devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/reversewrapper.pyo from install of pyg
tk2-devel-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/scmexpr.pyc from install of pygtk2-dev
el-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
        file /usr/share/pygtk/2.0/codegen/scmexpr.pyo from install of pygtk2-dev
el-2.8.6-1 conflicts with file from package pygtk2-devel-2.8.6-1
Comment 1 Jeremy Katz 2006-10-02 17:55:19 EDT
*** Bug 205232 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Barnes 2006-11-04 16:58:05 EST
Fixed in Fedora Core 6 and Rawhide.

I applied the same solution as for bug #212287 (RHEL-5).

Please reopen if you still encounter multilib conflicts.

Note You need to log in before you can comment on or make changes to this bug.